SQ-KEYRING-SPLIT(1)

NAME
sq-keyring-split - Splits a keyring into individual keys

Splitting up a keyring into individual keys helps with curating a keyring.

The converse operation is "sq keyring join".

SYNOPSIS
sq keyring split [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

-B, --binary
    Emits binary data

OPTIONS

-p, --prefix FILE
    Writes to files with prefix FILE [defaults to the input filename with a dash, or "output" if keyring is read from stdin]

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Split all certs
    $ sq keyring split certs.pgp

# Split all certs, merging them first to avoid duplicates
    $ sq keyring merge certs.pgp | sq keyring split

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-key-adopt(1), sq-key-attest-certifications(1), sq-key-extract-cert(1), sq-key-generate(1), sq-keyring(1), sq-keyring-filter(1), sq-keyring-join(1), sq-keyring-list(1), sq-keyring-merge(1), sq-keyring-split(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>